%define name	OpenEXR
%define fname	openexr
%define version	1.6.1
%define	fver	1.6.1
%define release %mkrel 1

%define major		6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Summary:	A high dynamic-range (HDR) image file format
Version:	%{version}
%define subrel 1
Release:	%{release}
Source:		http://savannah.nongnu.org/download/openexr/%{fname}-%{fver}.tar.bz2
# Switches detection order in acinclude.m4 so that -lpthread will be
# used rather than -pthread: this is to fix a problem where building
# against this library would cause undefined references to pthreads
# stuff, in e.g. pfstools - AdamW 2007/08
Patch0:		openexr-1.6.0-threads.patch
Patch1:		openexr-1.6.1-CVE-2009-1720-1.diff
Patch2:		openexr-1.6.1-CVE-2009-1720-2.diff
Patch3:		openexr-1.6.1-CVE-2009-1721.diff
URL:		http://www.openexr.com
License:	BSD
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel
BuildRequires:	libilmbase-devel

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand for higher color
fidelity in the visual effects industry.

%package -n %{libname}
Summary:	Dynamic libraries from %name
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{develname}
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname OpenEXR 4 -d
#Provides:	%mklibname OpenEXR 4 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p1 -b .threads
%patch1 -p1 -b .CVE-2009-1720-1
%patch2 -p1 -b .CVE-2009-1720-2
%patch3 -p1 -b .CVE-2009-1721

./bootstrap

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 02 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-1.1mdv2008.1
- P1: security fix for CVE-2009-1720 (debian)
- P2: security fix for CVE-2009-1720 (debian)
- P3: security fix for CVE-2009-1721 (debian)

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.6.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to 1.6.1 version
    - new version
    - update summary and description
    - rediff patch 0
    - correct buildrequires
    - make use of %%major
    - new devel library policy
    - run bootstrap (needed by p0)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Adam Williamson <awilliamson@mandriva.com> 1.4.0-3mdv2008.0
+ Revision: 64649
- remove unpackaged doc files in %%install
- package license (required for BSD)
- update autoconf buildrequire
- correct license
- new devel policy
- patch0: set it up so that -lpthread will be used when building against this lib rather than -pthread


* Sun Feb 25 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-2mdv2007.0
+ Revision: 125587
- Rebuilt against rpm-mandriva-setup 1.37.

* Tue Jan 30 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 115610
- Release 1.4.0.
- Remoted Patch0, Patch1.
- Added sources for release 1.4.0a.

* Sun Jan 28 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.2-4mdv2007.1
+ Revision: 114595
- %%{mkrel}.
- Import OpenEXR

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.2-3mdk
- C++ & libtool fixes

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 1.2.2-2mdk
- rebuild
- lost Per Oyvind's changes somehow :-(

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.2.2-1mdk
- 1.2.2
- source URL

* Tue May 03 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2.1-3mdk
- fix build on older releases (libtool problem)
- %%{1}mdv2007.1

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-2mdk
- fix license

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-1mdk
- initial package

